package utils

import (
	"flag"
	"os"
)

// Flags configure flag management
func Flags(host *string, port *string) {
	flag.Usage = Usage
	flag.StringVar(host, "host", "[::]", "Listen host")
	flag.StringVar(port, "port", "8080", "Listen port")
	flag.Parse()
}

// Usage displays possible arguments
func Usage() {
	flag.PrintDefaults()
	os.Exit(1)
}
